Package org.jbpm.services.task.audit

## Class TaskAuditLoggerFactory

- java.lang.Object
- - org.jbpm.services.task.audit.TaskAuditLoggerFactory

-     public class TaskAuditLoggerFactory
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TaskAuditLoggerFactory()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static AsyncTaskLifeCycleEventProducer` | `newJMSInstance​(boolean transacted, javax.jms.ConnectionFactory connFactory, javax.jms.Queue queue)` | Creates new instance of JMS task audit logger based on given connection factory and queue.
    `static AsyncTaskLifeCycleEventProducer` | `newJMSInstance​(Map<String,​Object> properties)` | Creates new instance of JMS task audit logger based on given parameters.
    `static JPATaskLifeCycleEventListener` | `newJPAInstance()` | Creates new instance of JPA task audit logger
    `static JPATaskLifeCycleEventListener` | `newJPAInstance​(javax.persistence.EntityManagerFactory emf)` | Creates new instance of JPA task audit logger with given entity manager factory

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TaskAuditLoggerFactory

          public TaskAuditLoggerFactory()

  - ### Method Detail

    - #### newJPAInstance

          public static JPATaskLifeCycleEventListener newJPAInstance()

      Creates new instance of JPA task audit logger
      Returns:
        new instance of JPA task audit logger

    - #### newJPAInstance

          public static JPATaskLifeCycleEventListener newJPAInstance​(javax.persistence.EntityManagerFactory emf)

      Creates new instance of JPA task audit logger with given entity manager factory
      Parameters:
        `enf` - EntityManagerFactory instance to be used
      Returns:
        new instance of JPA task audit logger

    - #### newJMSInstance

          public static AsyncTaskLifeCycleEventProducer newJMSInstance​(Map<String,​Object> properties)

      Creates new instance of JMS task audit logger based on given parameters. Supported parameters are as follows:
      - jbpm.audit.jms.transacted - determines if JMS session is transacted or not - default true - type Boolean
      - jbpm.audit.jms.connection.factory - connection factory instance - type javax.jms.ConnectionFactory
      - jbpm.audit.jms.queue - JMS queue instance - type javax.jms.Queue
      - jbpm.audit.jms.connection.factory.jndi - JNDI name of the connection factory to look up - type String
      - jbpm.audit.jms.queue.jndi - JNDI name of the queue to look up - type String
      Parameters:
        `properties` - - optional properties for the type of logger to initialize it
      Returns:
        new instance of JMS task audit logger

    - #### newJMSInstance

          public static AsyncTaskLifeCycleEventProducer newJMSInstance​(boolean transacted,
                                                                       javax.jms.ConnectionFactory connFactory,
                                                                       javax.jms.Queue queue)

      Creates new instance of JMS task audit logger based on given connection factory and queue.
      Parameters:
        `transacted` - determines if JMS session is transacted or not
        `connFactory` - connection factory instance
        `queue` - JMS queue instance
      Returns:
        new instance of JMS task audit logger